Flask==2.3.2  # Framework para criar APIs
Flask-MySQLdb==0.2.0  # Integração com MySQL
ldap3==2.9  # Biblioteca para autenticação com servidores LDAP
python-dotenv==1.0.0  # Carregar variáveis de ambiente de arquivos .env
PyJWT==2.6.0  # Para gerar e decodificar tokens JWT
Flask-Cors==3.0.10  # Suporte a CORS (Cross-Origin Resource Sharing)
Flask-WTF==1.1.1  # Proteção contra CSRF (Cross-Site Request Forgery)
Flask-Talisman==0.8.1  # Para melhorar a segurança da aplicação
influxdb-client==1.35.0  # Cliente para InfluxDB
gunicorn==20.1.0  # Servidor WSGI (opcional, caso deseje usar em produção)
